Subject: bug#3858: 23.1.50; Git VC doesn't work over Tramp

From: Ian Eure <[email-masked]>
Date: Wed, 15 Jul 2009 10:41:49 -0700

Support for Git repositories over Tramp seems to be broken in recent  
CVS. If I open a Git-controlled file on a remote system, VC isn’t  
activated.

I believe this used to work.

When I open the remote file, vc-git is loaded. When I try to perform  
VC operations on the file, I get a "No fileset is available here"  
error from vc-deduce-fileset.

In GNU Emacs 23.1.50.1 (i386-apple-darwin9.7.0, NS apple-appkit-949.46)
  of 2009-07-09 on neutron.local
Windowing system distributor `Apple', version 10.3.949
configured using `configure  '--with-ns''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: ssh

Minor modes in effect:
   diff-auto-refine-mode: t
   erc-track-mode: t
   erc-track-minor-mode: t
   erc-spelling-mode: t
   erc-ring-mode: t
   erc-pcomplete-mode: t
   erc-netsplit-mode: t
   erc-match-mode: t
   erc-button-mode: t
   erc-fill-mode: t
   erc-autojoin-mode: t
   erc-irccontrols-mode: t
   erc-noncommands-mode: t
   erc-readonly-mode: t
   erc-scrolltobottom-mode: t
   which-function-mode: t
   yas/minor-mode: t
   shell-dirtrack-mode: t
   ime-bindings: t
   show-paren-mode: t
   recentf-mode: t
   iswitchb-mode: t
   cua-mode: t
   auto-insert-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   size-indication-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t
   abbrev-mode: t

Recent input:
M-x r e p o r t - b u g <return>

Recent messages:
Loading tramp...done
Tramp: Opening connection for ieure@remote using rsync...
Tramp: Waiting 60s for local shell to come up...
Tramp: Sending command `ssh remote -l ieure  -e none && exit || exit'
Tramp: Waiting for prompts from remote shell
Tramp: Found remote shell prompt on `remote
Making completion list...
Wrote /var/folders/-O/-OE3eRUhHGaUPZz+LP85XE+++TM/-Tmp-/tramp. 
1810125r.php
Loading vc-git...done
vc-deduce-fileset: No fileset is available here.